当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]Atheros AR5007EG无线网卡驱动
帖子发表于 : 2008-08-14 9:06 

注册: 2008-08-11 17:30
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
本本上有一块Atheros AR5007EG无线网卡但是就是找不到驱动,现在在使用UBUNTU下的受限的驱动,这样一来,根本 就找不到网络没法使用。不知其它使用此网卡的朋友是怎么把它驱动起来的?
望解答!


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-08-15 21:23 

注册: 2008-05-22 14:23
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
:x 同问!


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-08-15 23:17 

注册: 2008-08-03 16:10
帖子: 25
送出感谢: 0 次
接收感谢: 0 次
我是AR5005,也是只能用受限驱动。

由于路由器是隐藏SSID的,在Windows上我都直接输SSID。而Ubuntu下面根本找不到地方给我输SSID...

哪位知道手动设SSID应该往哪输啊?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-08-16 10:18 

注册: 2008-05-22 14:23
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
求高手!!!


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-08-17 8:23 

注册: 2005-08-18 0:46
帖子: 97
送出感谢: 0 次
接收感谢: 0 次
光盘内 搜索 ndiswrapper装上 系统设置-WINDOWS无线驱动程序 打开加载WIN下的网卡驱动(INF文件)


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-08-17 11:34 

注册: 2006-01-11 10:52
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
先lspci一下,看看系统认出的型号,我的网卡也是这个型号,在u下认出的AR242x, 然后看madwifi网站上的说明
代码:
A new HAL has been made available by Sam Leffler (0.10.5.6) that supports AR2425 chips (AR5007* chipsets). This is a full HAL release so it should work for all platforms - that means x86-64.

The new HAL is currently in a branch, but should hopefully, barring any other issues, be migrated to trunk soon. Tarballs are available from http://snapshots.madwifi.org/madwifi-hal-0.10.5.6/ and Subversion access is at http://svn.madwifi.org/madwifi/branches/madwifi-hal-0.10.5.6.

然后在http://snapshots.madwifi.org/madwifi-hal-0.10.5.6/下载最新的包,解压编译安装,再在/etc/modules里加一个ath_pci,重启系统就OK了
如果还想使网卡灯起作用,请参考这篇帖子http://madwifi.org/wiki/UserDocs/EnableLEDs,我是直接将
代码:
dev.wifi0.ledpin=3
dev.wifi0.softled=1
写进/etc/sysctl.conf就可以了


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-08-18 9:14 

注册: 2008-08-11 17:30
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
谢谢,回去试试。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-08-19 8:47 

注册: 2008-08-11 17:30
帖子: 15
送出感谢: 0 次
接收感谢: 0 次
编译老是报错,不知道怎么弄,忘高手再次解答。

./INSTALL: line 1: 在未预料的“(”附近出现语法错误
./INSTALL: line 1: `MADWIFI: Multimode Atheros Driver for WiFi on Linux (VAP branch)'
把这两句注释掉后下面还会有其它的类似的情况。不知应怎么解决。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-08-22 12:43 

注册: 2006-01-11 10:52
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
编译安装:
make
sudo make install

INSTALL文件是安装说明


页首
 用户资料  
 
10 楼 
 文章标题 : 感谢xxjhappy
帖子发表于 : 2008-08-24 10:25 

注册: 2008-03-20 20:51
帖子: 5
送出感谢: 0 次
接收感谢: 0 次
根据xxjhappy的方法,终于解决了困扰我很久的问题,可以无线上网了——并且无线网卡的灯也亮了。


页首
 用户资料  
 
11 楼 
 文章标题 : Re:
帖子发表于 : 2008-12-14 15:12 

注册: 2008-12-14 15:06
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
xxjhappy 写道:
先lspci一下,看看系统认出的型号,我的网卡也是这个型号,在u下认出的AR242x, 然后看madwifi网站上的说明
代码:
A new HAL has been made available by Sam Leffler (0.10.5.6) that supports AR2425 chips (AR5007* chipsets). This is a full HAL release so it should work for all platforms - that means x86-64.

The new HAL is currently in a branch, but should hopefully, barring any other issues, be migrated to trunk soon. Tarballs are available from http://snapshots.madwifi.org/madwifi-hal-0.10.5.6/ and Subversion access is at http://svn.madwifi.org/madwifi/branches/madwifi-hal-0.10.5.6.

然后在http://snapshots.madwifi.org/madwifi-hal-0.10.5.6/下载最新的包,解压编译安装,再在/etc/modules里加一个ath_pci,重启系统就OK了
如果还想使网卡灯起作用,请参考这篇帖子http://madwifi.org/wiki/UserDocs/EnableLEDs,我是直接将
代码:
dev.wifi0.ledpin=3
dev.wifi0.softled=1
写进/etc/sysctl.conf就可以了


老大,你能详细一点吗?我第一次用上ubuntu,好不容易才装上去的,可网卡用不了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Baidu [Spider], Bing [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译